McpServer Integrations

Create Mcp Server Integration

Create McpServer integration

post
/v1/integration/mcpserver/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Request Body * Required

Request Body Schema: application/json

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

skillsetIdstring

The ID of the skillset

oAuthConnectionIdstring

The ID of the OAuth connection for IdP-based authentication

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.mcpserver.create(

{
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"skillsetId":"string",
"oAuthConnectionId":"string"
}
)
{
"id":"string"
}
The McpServer integration was created successfully